import request from '@/utils/request'

// 查询农技知识管理列表
export function listKnowledgeContent(query) {
  return request({
    url: '/base/knowledgeContent/list',
    method: 'get',
    params: query
  })
}

// 查询农技知识管理详细
export function getKnowledgeContent(id) {
  return request({
    url: '/base/knowledgeContent/' + id,
    method: 'get'
  })
}

// 新增农技知识管理
export function addKnowledgeContent(data) {
  return request({
    url: '/base/knowledgeContent',
    method: 'post',
    data: JSON.stringify(data),
    headers: {
      'Content-Type': 'application/json'
    }
  })
}

// 修改农技知识管理
export function updateKnowledgeContent(data) {
  return request({
    url: '/base/knowledgeContent',
    method: 'put',
    data: data
  })
}

// 删除农技知识管理
export function delKnowledgeContent(id) {
  return request({
    url: '/base/knowledgeContent/' + id,
    method: 'delete'
  })
}
